<TeXmacs|1.0.7.20>

<style|<tuple|beamer|mathemagix|tmdoc-markup|tmdoc-keyboard|maxima|vdh>>

<\body>
  <screens|<\shown>
    <\with|par-mode|center>
      <strong|<\with|font-base-size|17>
        The art of guessing

        Longue et heureuse vie  Marc !
      </with>>

      <abbr|Joris> van der Hoeven
    </with>

    \;

    <\with|par-mode|center>
      <tabular*|<tformat|<cwith|1|1|2|2|cell-valign|c>|<table|<row|<cell|
      >|<cell|>|<cell|>>|<row|<cell|>|<cell|<img|<image|texmacs-chip.ps|0.5w|0.5h||>>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<strong|Gecko/Tera,
      cole Polytechnique, 2008<rsub|<math|<rsub|>>>>>|<cell|>>|<row|<cell|>|<cell|<verbatim|http://www.<TeXmacs*>.org>>|<cell|>>>>>
    </with>

    \;
  </shown>|<\hidden>
    <tit|Guess what>

    \;

    \;

    <unroll|<\shown>
      <switch|<\shown>
        <\equation*>
          0.142857142857142857142857142857142857142857\<cdots\>
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          0.142857<with|color|blue|142857>142857<with|color|blue|142857>142857<with|color|blue|142857>142857\<cdots\>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <frac|1|7>
        </equation*>
      </hidden>|<\hidden>
        <strong|Applications:>

        <\itemize>
          <item>More comprehensive output.

          <item>New unexpected insights.

          <item>Guide decisions in algorithms.
        </itemize>
      </hidden>>
    </shown>>
  </hidden>|<\hidden>
    <tit|Efficient algorithm>

    \;

    <unroll|<\shown>
      <switch|<\shown>
        <\equation*>
          x<rsub|0>=a<rsub|0>+<frac|1|x<rsub|1>><space|2em>a<rsub|0>=\<lfloor\>x<rsub|0>\<rfloor\>
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          x<rsub|0>=a<rsub|0>+<frac|1|a<rsub|1>+<with|math-display|true|<frac|1|x<rsub|2>>>><space|2em>a<rsub|1>=\<lfloor\>x<rsub|1>\<rfloor\>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          x<rsub|0>=a<rsub|0>+<frac|1|a<rsub|1>+<with|math-display|true|<frac|1|\<ddots\>+<with|math-display|true|<frac|1|a<rsub|l-2>+<with|math-display|true|<frac|1|a<rsub|l-1>+x<rsub|l>>>>>>>>
        </equation*>
      </hidden>>
    </shown>|<\hidden*>
      \;

      <switch|<\shown>
        <\equation*>
          x<rsub|l>=<frac|p<rsub|l>*x<rsub|0>+q<rsub|l>|r<rsub|l>*x<rsub|0>+s<rsub|l>><space|2em>p<rsub|l>,q<rsub|l>,r<rsub|l>,s<rsub|l>\<in\>\<bbb-Z\>
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          x<rsub|k+l>=<frac|p<rsub|k,l>*x<rsub|l>+q<rsub|k,l>|r<rsub|k,l>*x<rsub|l>+s<rsub|k,l>><space|2em>p<rsub|k,l>,q<rsub|k,l>,r<rsub|k,l>,s<rsub|k,l>\<in\>\<bbb-Z\>
        </equation*>
      </hidden>>
    </hidden*>|<\hidden*>
      \;

      <\equation*>
        <matrix|<tformat|<table|<row|<cell|p<rsub|k,l+m>>|<cell|q<rsub|k,l+m>>>|<row|<cell|r<rsub|k,l+m>>|<cell|s<rsub|k,l+m>>>>>>=<matrix|<tformat|<table|<row|<cell|p<rsub|k+l,m>>|<cell|q<rsub|k+l,m>>>|<row|<cell|r<rsub|k+l,m>>|<cell|s<rsub|k+l,m>>>>>>*<matrix|<tformat|<table|<row|<cell|p<rsub|k,l>>|<cell|q<rsub|k,l>>>|<row|<cell|r<rsub|k,l>>|<cell|s<rsub|k,l>>>>>>
      </equation*>
    </hidden*>|<\hidden*>
      \;

      <\eqnarray*>
        <tformat|<table|<row|<cell|<value|ssF>(p)>|<cell|=>|<cell|2*<value|ssF>(p/2)+O(<value|ssI>(p))>>|<row|<cell|>|<cell|=>|<cell|O(<value|ssI>(p)*log
        p)>>|<row|<cell|>|<cell|=>|<cell|O(p*log<rsup|2> p*log log p)>>>>
      </eqnarray*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Guessing <math|\<bbb-Z\>>-linear dependencies>

    \;

    <unroll|<\shown>
      <strong|Question:> given <math|z<rsub|1>,\<ldots\>,z<rsub|n>\<in\>\<bbb-R\>>,
      find <math|\<lambda\><rsub|1>,\<ldots\>,\<lambda\><rsub|n>\<in\>\<bbb-Z\>>
      with

      <\equation*>
        \<lambda\><rsub|1>*z<rsub|1>+\<cdots\>+\<lambda\><rsub|n>*z<rsub|n>=0
      </equation*>
    </shown>|<\hidden*>
      \;

      <strong|Example:>

      <\itemize>
        <item><math|z<rsub|1>=1,\<ldots\>,z<rsub|n>=\<alpha\><rsup|n-1>> for
        <math|\<alpha\>\<in\>\<bbb-R\>>.

        <item><math|z<rsub|1>=Li<rsub|3,3>>, <math|z<rsub|2>=Li<rsub|6>>,
        <math|z<rsub|3>=Li<rsub|4,2>>, <math|z<rsub|4>=Li<rsub|2,2,2>>.
      </itemize>
    </hidden*>|<\hidden*>
      \;

      <strong|Lattice reduction:>

      <\equation*>
        M=<matrix|<tformat|<table|<row|<cell|z<rsub|1>>|<cell|\<varepsilon\>>|<cell|0>|<cell|0>>|<row|<cell|\<vdots\>>|<cell|0>|<cell|\<ddots\>>|<cell|0>>|<row|<cell|z<rsub|n>>|<cell|0>|<cell|0>|<cell|\<varepsilon\>>>>>>
      </equation*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|LLL-algorithm (sketch)>

    \;

    <unroll|<\shown>
      <strong|Ingredient 1: orthogonal projection>

      \;

      <switch|<\shown>
        <\equation*>
          <phantom|<matrix|<tformat|<cwith|3|3|4|5|cell-background|pastel
          green>|<cwith|1|1|4|5|cell-background|>|<cwith|1|5|4|5|cell-lsep|0spc>|<cwith|1|5|3|5|cell-rsep|0spc>|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|5><space|-0.2spc>\<rceil\>>>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|1>|<cell|\<alpha\><rsub|4>>|<cell|\<alpha\><rsub|5>>>|<row|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>>>>>>**<matrix|<tformat|<cwith|4|5|1|6|cell-background|pastel
          blue>|<cwith|3|3|1|6|cell-background|pastel
          green>|<table|<row|<cell|a<rsub|1,1>>|<cell|a<rsub|1,2>>|<cell|a<rsub|1,3>>|<cell|a<rsub|1,4>>|<cell|a<rsub|1,5>>|<cell|a<rsub|1,6>>>|<row|<cell|a<rsub|2,1>>|<cell|a<rsub|2,2>>|<cell|a<rsub|2,3>>|<cell|a<rsub|2,4>>|<cell|a<rsub|2,5>>|<cell|a<rsub|2,6>>>|<row|<cell|a<rsub|3,1>>|<cell|a<rsub|3,2>>|<cell|a<rsub|3,3>>|<cell|a<rsub|3,4>>|<cell|a<rsub|3,5>>|<cell|a<rsub|3,6>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>>>>><tabular*|<tformat|<cwith|4|5|2|2|cell-background|pastel
          blue>|<cwith|3|3|2|2|cell-background|pastel
          green>|<cwith|4|4|2|2|cell-row-span|2>|<cwith|4|4|2|2|cell-col-span|1>|<cwith|4|4|2|2|cell-valign|c>|<table|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|<text|to
          be reduced>>>|<row|<cell|>|<cell|<text|reduced>>>|<row|<cell|>|<cell|>>>>>
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|3|3|4|5|cell-background|pastel
          green>|<cwith|1|1|4|5|cell-background|>|<cwith|1|5|4|5|cell-lsep|0spc>|<cwith|1|5|3|5|cell-rsep|0spc>|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|5><space|-0.2spc>\<rceil\>>>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|1>|<cell|\<alpha\><rsub|4>>|<cell|\<alpha\><rsub|5>>>|<row|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>>>>>*<matrix|<tformat|<cwith|4|5|1|6|cell-background|pastel
          blue>|<cwith|3|3|1|6|cell-background|pastel
          green>|<table|<row|<cell|a<rsub|1,1>>|<cell|a<rsub|1,2>>|<cell|a<rsub|1,3>>|<cell|a<rsub|1,4>>|<cell|a<rsub|1,5>>|<cell|a<rsub|1,6>>>|<row|<cell|a<rsub|2,1>>|<cell|a<rsub|2,2>>|<cell|a<rsub|2,3>>|<cell|a<rsub|2,4>>|<cell|a<rsub|2,5>>|<cell|a<rsub|2,6>>>|<row|<cell|a<rprime|'><rsub|3,1>>|<cell|a<rprime|'><rsub|3,2>>|<cell|a<rprime|'><rsub|3,3>>|<cell|a<rprime|'><rsub|3,4>>|<cell|a<rprime|'><rsub|3,5>>|<cell|a<rprime|'><rsub|3,6>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>>>>><tabular*|<tformat|<cwith|4|5|2|2|cell-background|pastel
          blue>|<cwith|3|3|2|2|cell-background|pastel
          green>|<cwith|4|4|2|2|cell-row-span|2>|<cwith|4|4|2|2|cell-col-span|1>|<cwith|4|4|2|2|cell-valign|c>|<table|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|<phantom|<text|to
          be reduced>>>>|<row|<cell|>|<cell|a<rprime|'><rsub|3><space|-0.2spc>\<perp\><space|-0.2spc>V(a<rsub|4>,a<rsub|5>)>>|<row|<cell|>|<cell|<text|reduced>>>|<row|<cell|>|<cell|>>>>>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|3|3|4|5|cell-background|pastel
          green>|<cwith|1|5|4|5|cell-lsep|0spc>|<cwith|1|5|3|5|cell-rsep|0spc>|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|1>|<cell|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>|<cell|\<lfloor\><space|-0.2spc>\<alpha\><rsub|5><space|-0.2spc>\<rceil\>>>|<row|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>>>>>*<matrix|<tformat|<cwith|4|5|1|6|cell-background|pastel
          blue>|<cwith|3|3|1|6|cell-background|pastel
          green>|<table|<row|<cell|a<rsub|1,1>>|<cell|a<rsub|1,2>>|<cell|a<rsub|1,3>>|<cell|a<rsub|1,4>>|<cell|a<rsub|1,5>>|<cell|a<rsub|1,6>>>|<row|<cell|a<rsub|2,1>>|<cell|a<rsub|2,2>>|<cell|a<rsub|2,3>>|<cell|a<rsub|2,4>>|<cell|a<rsub|2,5>>|<cell|a<rsub|2,6>>>|<row|<cell|a<rprime|''><rsub|3,1>>|<cell|a<rprime|''><rsub|3,2>>|<cell|a<rprime|''><rsub|3,3>>|<cell|a<rprime|''><rsub|3,4>>|<cell|a<rprime|''><rsub|3,5>>|<cell|a<rprime|''><rsub|3,6>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>>>>><tabular*|<tformat|<cwith|4|5|2|2|cell-background|pastel
          blue>|<cwith|3|3|2|2|cell-background|pastel
          green>|<cwith|4|4|2|2|cell-row-span|2>|<cwith|4|4|2|2|cell-col-span|1>|<cwith|4|4|2|2|cell-valign|c>|<table|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|<phantom|<text|to
          be reduced>>>>|<row|<cell|>|<cell|a<rprime|''><rsub|3><move|\<sim\>||-0.5ex><space|-2spc>\<shortmid\><space|0.2spc>V(a<rsub|4>,a<rsub|5>)>>|<row|<cell|>|<cell|<text|reduced>>>|<row|<cell|>|<cell|>>>>>
        </equation*>
      </hidden>>

      \;
    </shown>|<\hidden*>
      <strong|Ingredient 2: flipping>

      \;

      <switch|<\shown>
        <\equation*>
          <phantom|<matrix|<tformat|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|1>|<cell|\<alpha\><rsub|4>>|<cell|\<alpha\><rsub|5>>>|<row|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>>>>>>*<matrix|<tformat|<cwith|4|5|1|6|cell-background|pastel
          blue>|<cwith|3|3|1|6|cell-background|pastel
          green>|<table|<row|<cell|a<rsub|1,1>>|<cell|a<rsub|1,2>>|<cell|a<rsub|1,3>>|<cell|a<rsub|1,4>>|<cell|a<rsub|1,5>>|<cell|a<rsub|1,6>>>|<row|<cell|a<rsub|2,1>>|<cell|a<rsub|2,2>>|<cell|a<rsub|2,3>>|<cell|a<rsub|2,4>>|<cell|a<rsub|2,5>>|<cell|a<rsub|2,6>>>|<row|<cell|a<rsub|3,1>>|<cell|a<rsub|3,2>>|<cell|a<rsub|3,3>>|<cell|a<rsub|3,4>>|<cell|a<rsub|3,5>>|<cell|a<rsub|3,6>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>>>>><tabular*|<tformat|<cwith|4|5|2|2|cell-background|pastel
          blue>|<cwith|3|3|2|2|cell-background|pastel
          green>|<cwith|4|4|2|2|cell-row-span|2>|<cwith|4|4|2|2|cell-col-span|1>|<cwith|4|4|2|2|cell-valign|c>|<table|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|<phantom|<text|to
          be reduced>>>>|<row|<cell|>|<cell|\|a<rsub|3>\|\<less\>\<lambda\>*\|\<alpha\><rsub|4>\|>>|<row|<cell|>|<cell|<text|reduced>>>|<row|<cell|>|<cell|>>>>>
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          <phantom|<matrix|<tformat|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|1>|<cell|\<alpha\><rsub|4>>|<cell|\<alpha\><rsub|5>>>|<row|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>>>>>>*<matrix|<tformat|<cwith|4|5|1|6|cell-background|pastel
          blue>|<cwith|3|3|1|6|cell-background|pastel
          blue>|<cwith|4|4|1|6|cell-background|pastel
          green>|<table|<row|<cell|a<rsub|1,1>>|<cell|a<rsub|1,2>>|<cell|a<rsub|1,3>>|<cell|a<rsub|1,4>>|<cell|a<rsub|1,5>>|<cell|a<rsub|1,6>>>|<row|<cell|a<rsub|2,1>>|<cell|a<rsub|2,2>>|<cell|a<rsub|2,3>>|<cell|a<rsub|2,4>>|<cell|a<rsub|2,5>>|<cell|a<rsub|2,6>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>>|<row|<cell|a<rsub|3,1>>|<cell|a<rsub|3,2>>|<cell|a<rsub|3,3>>|<cell|a<rsub|3,4>>|<cell|a<rsub|3,5>>|<cell|a<rsub|3,6>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>>>>><tabular*|<tformat|<cwith|4|5|2|2|cell-background|pastel
          blue>|<cwith|4|4|2|2|cell-valign|c>|<cwith|4|4|2|2|cell-row-span|1>|<cwith|4|4|2|2|cell-col-span|1>|<cwith|4|4|2|2|cell-background|pastel
          green>|<cwith|3|3|2|2|cell-background|pastel
          blue>|<table|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|<phantom|<text|to
          be reduced>>>>|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|>>|<row|<cell|>|<cell|>>>>>
        </equation*>
      </hidden>>
    </hidden*>|<\hidden*>
      \;
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Improved LLL-algorithms>

    <unroll|<\shown>
      <strong|Ingredient 1: block algorithms>

      \;

      <switch|<\shown>
        <\equation*>
          <phantom|<matrix|<tformat|<cwith|1|-1|4|4|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|0spc>|<cwith|1|-1|1|-1|cell-rsep|0spc>|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>|<cell|\<lfloor\><space|-0.2spc>\<alpha\><rsub|5><space|-0.2spc>\<rceil\>>|<cell|\<lfloor\><space|-0.2spc>\<alpha\><rsub|5><space|-0.2spc>\<rceil\>>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>>|<row|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|1>>>>>>*<matrix|<tformat|<cwith|4|6|1|7|cell-background|pastel
          blue>|<cwith|1|3|1|7|cell-background|pastel
          green>|<table|<row|<cell|a<rsub|1,1>>|<cell|a<rsub|1,2>>|<cell|a<rsub|1,3>>|<cell|a<rsub|1,4>>|<cell|a<rsub|1,5>>|<cell|a<rsub|1,6>>|<cell|a<rsub|1,7>>>|<row|<cell|a<rsub|2,1>>|<cell|a<rsub|2,2>>|<cell|a<rsub|2,3>>|<cell|a<rsub|2,4>>|<cell|a<rsub|2,5>>|<cell|a<rsub|2,6>>|<cell|a<rsub|2,7>>>|<row|<cell|a<rsub|3,1>>|<cell|a<rsub|3,2>>|<cell|a<rsub|3,3>>|<cell|a<rsub|3,4>>|<cell|a<rsub|3,5>>|<cell|a<rsub|3,6>>|<cell|a<rsub|3,7>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>|<cell|a<rsub|4,7>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>|<cell|a<rsub|5,7>>>|<row|<cell|a<rsub|6,1>>|<cell|a<rsub|6,2>>|<cell|a<rsub|6,3>>|<cell|a<rsub|6,4>>|<cell|a<rsub|6,5>>|<cell|a<rsub|6,6>>|<cell|a<rsub|6,7>>>>>>
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|1|-1|4|4|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|0spc>|<cwith|1|-1|1|-1|cell-rsep|0spc>|<cwith|1|3|5|7|cell-background|pastel
          green>|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|p>|<cell|q>|<cell|r>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|s>|<cell|t>|<cell|u>>|<row|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|v>|<cell|w>|<cell|x>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>>|<row|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|1>>>>>*<matrix|<tformat|<cwith|4|6|1|7|cell-background|pastel
          blue>|<cwith|1|3|1|7|cell-background|pastel
          green>|<table|<row|<cell|a<rprime|'><rsub|1,1>>|<cell|a<rprime|'><rsub|1,2>>|<cell|a<rprime|'><rsub|1,3>>|<cell|a<rprime|'><rsub|1,4>>|<cell|a<rprime|'><rsub|1,5>>|<cell|a<rprime|'><rsub|1,6>>|<cell|a<rprime|'><rsub|1,7>>>|<row|<cell|a<rprime|'><rsub|2,1>>|<cell|a<rprime|'><rsub|2,2>>|<cell|a<rprime|'><rsub|2,3>>|<cell|a<rprime|'><rsub|2,4>>|<cell|a<rprime|'><rsub|2,5>>|<cell|a<rprime|'><rsub|2,6>>|<cell|a<rprime|'><rsub|2,7>>>|<row|<cell|a<rprime|'><rsub|3,1>>|<cell|a<rprime|'><rsub|3,2>>|<cell|a<rprime|'><rsub|3,3>>|<cell|a<rprime|'><rsub|3,4>>|<cell|a<rprime|'><rsub|3,5>>|<cell|a<rprime|'><rsub|3,6>>|<cell|a<rprime|'><rsub|3,7>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>|<cell|a<rsub|4,7>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>|<cell|a<rsub|5,7>>>|<row|<cell|a<rsub|6,1>>|<cell|a<rsub|6,2>>|<cell|a<rsub|6,3>>|<cell|a<rsub|6,4>>|<cell|a<rsub|6,5>>|<cell|a<rsub|6,6>>|<cell|a<rsub|6,7>>>>>>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|1|-1|4|4|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|0spc>|<cwith|1|-1|1|-1|cell-rsep|0spc>|<cwith|1|3|5|7|cell-lsep|0spc>|<cwith|1|3|5|7|cell-rsep|0spc>|<cwith|1|3|5|7|cell-background|pastel
          green>|<table|<row|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|\<lfloor\>p\<rceil\>>|<cell|\<lfloor\>q\<rceil\>>|<cell|\<lfloor\>r\<rceil\>>>|<row|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|\<lfloor\>s\<rceil\>>|<cell|\<lfloor\>t\<rceil\>>|<cell|\<lfloor\>u\<rceil\>>>|<row|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|\<lfloor\>v\<rceil\>>|<cell|\<lfloor\>w\<rceil\>>|<cell|\<lfloor\>x\<rceil\>>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>>|<row|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|<phantom|\<lfloor\><space|-0.2spc>\<alpha\><rsub|4><space|-0.2spc>\<rceil\>>>|<cell|1>>>>>*<matrix|<tformat|<cwith|4|6|1|7|cell-background|pastel
          blue>|<cwith|1|3|1|7|cell-background|pastel
          green>|<table|<row|<cell|a<rprime|''><rsub|1,1>>|<cell|a<rprime|''><rsub|1,2>>|<cell|a<rprime|''><rsub|1,3>>|<cell|a<rprime|''><rsub|1,4>>|<cell|a<rprime|''><rsub|1,5>>|<cell|a<rprime|''><rsub|1,6>>|<cell|a<rprime|''><rsub|1,7>>>|<row|<cell|a<rprime|''><rsub|2,1>>|<cell|a<rprime|''><rsub|2,2>>|<cell|a<rprime|''><rsub|2,3>>|<cell|a<rprime|''><rsub|2,4>>|<cell|a<rprime|''><rsub|2,5>>|<cell|a<rprime|''><rsub|2,6>>|<cell|a<rprime|''><rsub|2,7>>>|<row|<cell|a<rprime|''><rsub|3,1>>|<cell|a<rprime|''><rsub|3,2>>|<cell|a<rprime|''><rsub|3,3>>|<cell|a<rprime|''><rsub|3,4>>|<cell|a<rprime|''><rsub|3,5>>|<cell|a<rprime|''><rsub|3,6>>|<cell|a<rprime|''><rsub|3,7>>>|<row|<cell|a<rsub|4,1>>|<cell|a<rsub|4,2>>|<cell|a<rsub|4,3>>|<cell|a<rsub|4,4>>|<cell|a<rsub|4,5>>|<cell|a<rsub|4,6>>|<cell|a<rsub|4,7>>>|<row|<cell|a<rsub|5,1>>|<cell|a<rsub|5,2>>|<cell|a<rsub|5,3>>|<cell|a<rsub|5,4>>|<cell|a<rsub|5,5>>|<cell|a<rsub|5,6>>|<cell|a<rsub|5,7>>>|<row|<cell|a<rsub|6,1>>|<cell|a<rsub|6,2>>|<cell|a<rsub|6,3>>|<cell|a<rsub|6,4>>|<cell|a<rsub|6,5>>|<cell|a<rsub|6,6>>|<cell|a<rsub|6,7>>>>>>
        </equation*>
      </hidden>>

      \;
    </shown>|<\hidden*>
      <strong|Ingredient 2: binary splitting>

      <unroll|<\shown>
        <\equation*>
          A=A<rsup|hi>+A<rsup|lo>*2<rsup|\<um\>p/2>
        </equation*>
      </shown>|<\hidden*>
        <\equation*>
          P<rsup|hi>*A<rsup|hi>=R<rsup|hi>
        </equation*>
      </hidden*>|<\hidden*>
        <\equation*>
          P<rsup|hi>*A=B
        </equation*>
      </hidden*>|<\hidden*>
        <\equation*>
          P<rsup|lo>*B=R
        </equation*>
      </hidden*>|<\hidden*>
        <\equation*>
          P=P<rsup|lo>*P<rsup|hi>
        </equation*>
      </hidden*>>
    </hidden*>|<\hidden*>
      <strong|Practical complexity?> <math|O(<value|ssIM>(n,<space|-0.2spc>p)*log
      p)<space|-0.2spc>=<space|-0.2spc>O(n<rsup|2.38>*p*log
      p<space|-0.2spc>+<space|-0.2spc>n<rsup|2>*log<rsup|2> p*log log p)>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Power series analogues>

    \;

    <unroll|<\shown>
      <strong|Guessing rationality>

      Problem: given <math|f\<in\>\<bbb-K\>[[z]]>, guess
      <math|P,Q\<in\>\<bbb-K\>[z]> with <math|f=<frac|P|Q>><vspace|0.5fn>

      Solution: Pad approximation
    </shown>|<\hidden*>
      \;

      <strong|Polynomial dependencies>

      Problem: given <math|f<rsub|1>,\<ldots\>,f<rsub|n>\<in\>\<bbb-K\>[[z]]>,
      guess <math|P<rsub|1>,\<ldots\>,P<rsub|n>\<in\>\<bbb-K\>[z]> with

      <\equation*>
        P<rsub|1>*f<rsub|1>+\<cdots\>+P<rsub|n>*f<rsub|n>=0.
      </equation*>

      Solution: Pad-Hermite approximation<vspace|0.5fn> (Beckermann-Labahn,
      Derksen, Gfun)
    </hidden*>|<\hidden*>
      <strong|Applications>

      <\itemize>
        <item><math|(f<rsub|n>)<rsub|n\<in\>\<bbb-N\>>=1,1,2,3,5,8,13,21,34,55,89,\<ldots\>>

        <item><math|f<rsub|1>=\<varphi\>,f<rsub|2>=\<varphi\><rprime|'>,\<ldots\>,f<rsub|n>=\<varphi\><rsup|(n-1)>>,
        with <math|\<varphi\>\<in\>\<bbb-K\>[[z]]>
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Guessing singular dependencies>

    \;

    <unroll|<\shown>
      <switch|<\shown>
        <strong|Example:> number <math|s<rsub|n>> of alcohols of the form
        <math|C<rsub|n>H<rsub|2*n+1>O H>

        <\equation*>
          s(z)=1+z*<frac|s(z)<rsup|3>+2*s(z<rsup|3>)|3>.
        </equation*>

        Dominant <strong|algebraic> singularity at
        <math|r=0.304218409\<cdots\>>. Setting

        <\eqnarray*>
          <tformat|<table|<row|<cell|\<varphi\>(z)>|<cell|=>|<cell|s(r+z)>>|<row|<cell|\<psi\>(z)>|<cell|=>|<cell|2*s((r+z)<rsup|3>)+3,>>>>
        </eqnarray*>

        we have

        <\eqnarray*>
          <tformat|<table|<row|<cell|(r+z)*\<varphi\>(z)<rsup|3>-3*\<varphi\>(z)+\<psi\>(z)>|<cell|=>|<cell|0.>>>>
        </eqnarray*>
      </shown>|<\hidden>
        <with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.499998gw|244761tmpt>>|gr-geometry|<tuple|geometry|1par|0.350229par|center>|gr-grid|<tuple|cartesian|<point|0|0>|1>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|4|#e0e0ff>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|4|#e0e0ff>>|gr-as-visual-grid|off|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|8|none>>|gr-edit-grid|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-fill-color|default|gr-color|dark
        grey|gr-line-width|default|arrow-length|10ln|arrow-height|6ln|gr-arrow-begin|\<less\>|gr-arrow-end|\<gtr\>|magnify|1.2|<graphics||<with|magnify|0.833333333333333|<carc|<point|3|0>|<point|0.0|3.0>|<point|-3.0|0.0>>>|<with|color|red|line-width|2ln|magnify|0.520833333333333|<spline|<point|2.0|-0.041666666666604>|<point|2.25|0.083333333333396>|<point|2.5|-0.041666666666604>|<point|2.75|-0.166666666666604>|<point|3.0|-0.041666666666604>|<point|3.25|0.083333333333396>|<point|3.5|-0.041666666666604>|<point|3.75|-0.166666666666604>|<point|4.0|-0.041666666666604>|<point|4.25|0.083333333333396>|<point|4.5|-0.041666666666604>|<point|4.75|-0.166666666666604>|<point|5.0|-0.041666666666604>|<point|5.25|0.083333333333396>|<point|5.5|-0.041666666666604>|<point|5.75|-0.166666666666604>|<point|6.0|-0.041666666666604>|<point|6.25|0.083333333333396>|<point|6.5|-0.041666666666604>|<point|6.75|-0.166666666666604>|<point|7.0|-0.041666666666604>|<point|7.25|0.083333333333396>|<point|7.5|-0.041666666666604>|<point|7.75|-0.166666666666604>|<point|8.0|-0.041666666666604>|<point|8.25|0.083333333333396>|<point|8.5|-0.041666666666604>|<point|8.75|-0.166666666666604>|<point|9.0|-0.041666666666604>|<point|9.25|0.083333333333396>|<point|9.5|-0.041666666666604>|<point|9.75|-0.166666666666604>|<point|10.0|-0.041666666666604>|<point|10.25|0.083333333333396>|<point|10.5|-0.041666666666604>|<point|10.75|-0.166666666666604>|<point|11.0|-0.041666666666604>>>|<point|2|0>|<with|color|red|line-width|2ln|magnify|0.520833333333333|<spline|<point|-0.99796672308442|1.04074345324984>|<point|-1.26539724515906|1.12202023876026>|<point|-1.36083412999552|1.38473072772619>|<point|-1.45627101483197|1.64744121669212>|<point|-1.72370153690653|1.72871800220247>|<point|-1.99113205898117|1.80999478771289>|<point|-2.08656894381762|2.07270527667881>|<point|-2.18200582865407|2.33541576564474>|<point|-2.44943635072868|2.41669255115513>|<point|-2.71686687280329|2.49796933666552>|<point|-2.81230375763974|2.76067982563145>|<point|-2.90774064247618|3.02339031459737>|<point|-3.1751711645508|3.10466710010777>|<point|-3.4426016866254|3.18594388561815>|<point|-3.53803857146185|3.44865437458408>|<point|-3.6334754562983|3.71136486355001>|<point|-3.90090597837291|3.79264164906039>|<point|-4.16833650044752|3.87391843457079>|<point|-4.26377338528397|4.13662892353671>|<point|-4.35921027012042|4.39933941250264>|<point|-4.62664079219503|4.48061619801303>|<point|-4.89407131426963|4.56189298352342>|<point|-4.98950819910608|4.82460347248934>|<point|-5.08494508394253|5.08731396145527>|<point|-5.35237560601714|5.16859074696566>|<point|-5.61980612809175|5.24986753247606>|<point|-5.7152430129282|5.51257802144198>|<point|-5.81067989776465|5.7752885104079>|<point|-6.07811041983926|5.8565652959183>|<point|-6.34554094191386|5.93784208142869>|<point|-6.44097782675031|6.20055257039461>|<point|-6.53641471158677|6.46326305936054>|<point|-6.80384523366135|6.54453984487091>|<point|-7.07127575573596|6.6258166303813>|<point|-7.16671264057241|6.88852711934722>|<point|-7.26214952540886|7.15123760831315>|<point|-7.52958004748347|7.23251439382354>>>|<point|-1|1>|<with|color|dark
        grey|arrow-length|10ln|arrow-height|6ln|arrow-begin|\<less\>|arrow-end|\<gtr\>|magnify|0.694444444444444|<spline|<point|0|0>|<point|-2.0|-2.23606797749979>>>|<with|magnify|0.694444444444444|<text-at|<math|R>|<point|-1.0|-1.5>>>>>
      </hidden>>
    </shown>|<\hidden*>
      <switch|<\shown>
        \;

        <strong|Problem:> given <math|f<rsub|1>,\<ldots\>,f<rsub|d>\<in\>\<bbb-C\>[[z]]>
        and <math|R>, guess relations

        <\equation*>
          g<rsub|1>*f<rsub|1>+\<cdots\>+g<rsub|d>*f<rsub|d>=h<space|2em>(g<rsub|1>,\<ldots\>,g<rsub|d>,h\<in\>\<bbb-A\><rsub|R>;<text|
          <abbr|i.e.> analytic on ><wide|\<cal-D\>|\<bar\>><rsub|R>)
        </equation*>
      </shown>|<\hidden>
        \;

        <strong|Problem:> given <math|f<rsub|1>,\<ldots\>,f<rsub|d>\<in\>\<bbb-C\>[[z]]>
        and <math|R=1>, find a ``minimal relation''

        <\equation*>
          g<rsub|1>*f<rsub|1>+\<cdots\>+g<rsub|d>*f<rsub|d>=h
        </equation*>

        for the power series norm

        <\equation*>
          \<\|\|\>\<varphi\>\<\|\|\>=<sqrt|\<varphi\><rsub|0><rsup|2>+\<varphi\><rsub|1><rsup|2>+\<cdots\>>.
        </equation*>
      </hidden>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Truncated problem at order <math|n>>

    <\granite>
      <\equation*>
        g<rsub|1>*f<rsub|1>+\<cdots\>+g<rsub|d>*f<rsub|d>=h
      </equation*>
    </granite>

    <\eqnarray*>
      <tformat|<table|<row|<cell|G>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|g<rsub|1,n-1>>|<cell|\<cdots\>>|<cell|g<rsub|d,n-1>>|<cell|\<cdots\>>|<cell|\<cdots\>>|<cell|g<rsub|1,0>>|<cell|\<cdots\>>|<cell|g<rsub|d,0>>>>>>>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|M>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|f<rsub|1,0>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|\<ddots\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|f<rsub|d,0>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|f<rsub|1,1>>|<cell|f<rsub|1,0>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|\<vdots\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|\<ddots\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|f<rsub|d,1>>|<cell|f<rsub|d,0>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|\<vdots\>>|<cell|\<ddots\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|\<ddots\>>|<cell|>|<cell|>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|\<vdots\>>|<cell|>|<cell|\<ddots\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|\<ddots\>>|<cell|>|<cell|>|<cell|>>|<row|<cell|f<rsub|1,n-1>>|<cell|f<rsub|1,n-2>>|<cell|\<cdots\>>|<cell|\<cdots\>>|<cell|f<rsub|1,0>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|\<vdots\>>|<cell|>|<cell|>|<cell|\<vdots\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|f<rsub|d,n-1>>|<cell|f<rsub|d,n-2>>|<cell|\<cdots\>>|<cell|\<cdots\>>|<cell|f<rsub|d,0>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|1>>>>>.>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|G*M>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|<space|1.2spc>h<rsub|n-1><space|1.8spc>>|<cell|<space|0.6spc>h<rsub|n-2><space|0.6spc>>|<cell|\<cdots\>>|<cell|\<cdots\>>|<cell|<space|1.2spc>h<rsub|0>>|<cell|g<rsub|1,n-1>>|<cell|\<cdots\>>|<cell|g<rsub|d,n-1>>|<cell|\<cdots\>>|<cell|g<rsub|1,0>>|<cell|\<cdots\>>|<cell|g<rsub|d,0>>>>>>>>>>
    </eqnarray*>
  </hidden>|<\hidden>
    <tit|Ultimate correctness>

    \;

    <\pine>
      <\definition*>
        Given <math|n\<in\>\<bbb-N\>\<cup\>{\<upl\>\<infty\>}>, let
        <math|\<b-Phi\><rsub|;n>> be the set of vectors

        <\equation*>
          \<varphi\>=(h<rsub|n-1>,\<ldots\>,h<rsub|0>,g<rsub|1,n-1>,\<ldots\>,g<rsub|d,n-1>,\<ldots\><space|0.2spc>\<ldots\>,g<rsub|1,0>,\<ldots\>,g<rsub|d,0>),<space|2em>\<\|\|\>\<varphi\>\<\|\|\>\<less\>\<upl\>\<infty\>.
        </equation*>

        We say that <math|\<varphi\>> is <strong|<math|i>-normal> if
        <math|g<rsub|i,0>=<no-break>1> and <math|g<rsub|j,0>=0> for all
        <math|j\<gtr\>i>.
      </definition*>
    </pine>

    \;

    \;

    <\pine>
      <\theorem*>
        \;

        <\itemize>
          <item>If <math|\<b-Phi\><rsub|;\<infty\>>\<neq\>0>, then
          <math|\<b-Phi\><rsub|;\<infty\>>> contains a<nbsp>minimal normal
          relation.

          <item>Assume that <math|\<varphi\>\<in\>\<b-Phi\><rsub|;\<infty\>>>
          is a minimal <math|i>-normal relation. For each
          <math|n\<in\>\<bbb-N\>>, let <math|f<rsub|;n>> be the truncation of
          <math|f> at order <math|n> and consider the corresponding minimal
          <math|i>-normal relation<nbsp><math|\<varphi\><rsub|;n>\<in\>\<b-Phi\><rsub|;n>>.
          Then the relations <math|\<varphi\><rsub|;n>> converge to
          <math|\<varphi\>>.

          <item>If <math|\<b-Phi\><rsub|;\<infty\>>=0>, then the
          <math|\<\|\|\>\<varphi\><rsub|;n>\<\|\|\>> are unbounded for
          <math|n\<rightarrow\>\<infty\>>.
        </itemize>
      </theorem*>
    </pine>

    \;
  </hidden>|<\hidden>
    <tit|Example I>

    <\granite>
      <\eqnarray*>
        <tformat|<table|<row|<cell|f<rsub|1>>|<cell|=>|<cell|<frac|1|1-\<lambda\>*z><space|2em>(\<lambda\>\<gtr\>1)>>>>
      </eqnarray*>
    </granite>

    <\eqnarray*>
      <tformat|<table|<row|<cell|g<rsub|;4,1>>|<cell|=>|<cell|1.0000-1.6000*z-0.60000*z<rsup|2>>>|<row|<cell|>|<cell|>|<cell|<space|4em><greyed|-0.20000*z<rsup|3>>>>|<row|<cell|g<rsub|;16,1>>|<cell|=>|<cell|1.0000-1.6180*z-0.61803*z<rsup|2>-\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|4em><greyed|-5.8340*10<rsup|-6>*z<rsup|14>-1.9447*10<rsup|\<um\>6>*z<rsup|15>>>>|<row|<cell|g<rsub|;64,1>>|<cell|=>|<cell|1.0000-1.6180*z-0.61803*z<rsup|2>-\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|4em><greyed|-5.0484*10<rsup|-26>*z<rsup|62>-1.6828*10<rsup|\<um\>26>*z<rsup|63>>>>|<row|<cell|g<rsub|;256,1>>|<cell|=>|<cell|1.0000-1.6180*z-0.61803*z<rsup|2>-\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|4em><greyed|-2.8307*10<rsup|-106>*z<rsup|254>-9.4357*10<rsup|\<um\>107>*z<rsup|255>>>>>>
    </eqnarray*>

    <strong|Fast convergence>, but <strong|not>
    <math|g<rsub|1>=1-\<lambda\>*z>. In fact

    <\eqnarray*>
      <tformat|<cwith|1|1|3|3|cell-bsep|0.5em>|<table|<row|<cell|g<rsub|1>>|<cell|=>|<cell|<frac|1-\<lambda\>*z|1-\<alpha\>*z>>>|<row|<cell|\<alpha\>+<frac|1|\<alpha\>>>|<cell|=>|<cell|\<lambda\>+<frac|2|\<lambda\>><space|2em>(\<alpha\>\<less\>1)>>>>
    </eqnarray*>
  </hidden>|<\hidden>
    <tit|Example II>

    <\granite>
      <\eqnarray*>
        <tformat|<table|<row|<cell|f<rsub|1>>|<cell|=>|<cell|s(0.15*(z+0.25))>>|<row|<cell|f<rsub|2>>|<cell|=>|<cell|f<rsub|1><rprime|'>>>>>
      </eqnarray*>
    </granite>

    <switch|<\shown>
      \;

      <with|gr-mode|<tuple|group-edit|move>|gr-frame|<tuple|scale|1cm|<tuple|0.499998gw|244761tmpt>>|gr-geometry|<tuple|geometry|1par|0.485035par|center>|gr-grid|<tuple|cartesian|<point|0|0>|1>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|4|#e0e0ff>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|4|#e0e0ff>>|gr-as-visual-grid|off|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|8|none>>|gr-edit-grid|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-fill-color|pastel
      blue|gr-color|default|gr-line-width|default|arrow-length|10ln|arrow-height|6ln|magnify|1.2|<graphics||<with|magnify|0.833333333333333|<carc|<point|3|0>|<point|0.0|3.0>|<point|-3.0|0.0>>>|<with|fill-color|pastel
      blue|magnify|0.694444444444444|<carc|<point|0.25|0.0>|<point|1.0|0.75>|<point|1.0|-0.75>>>|<with|color|red|line-width|2ln|magnify|0.520833333333333|<spline|<point|1.0|-0.041666666666604>|<point|1.25|0.083333333333396>|<point|1.5|-0.041666666666604>|<point|1.75|-0.166666666666604>|<point|2.0|-0.041666666666604>|<point|2.25|0.083333333333396>|<point|2.5|-0.041666666666604>|<point|2.75|-0.166666666666604>|<point|3.0|-0.041666666666604>|<point|3.25|0.083333333333396>|<point|3.5|-0.041666666666604>|<point|3.75|-0.166666666666604>|<point|4.0|-0.041666666666604>|<point|4.25|0.083333333333396>|<point|4.5|-0.041666666666604>|<point|4.75|-0.166666666666604>|<point|5.0|-0.041666666666604>|<point|5.25|0.083333333333396>|<point|5.5|-0.041666666666604>|<point|5.75|-0.166666666666604>|<point|6.0|-0.041666666666604>|<point|6.25|0.083333333333396>|<point|6.5|-0.041666666666604>|<point|6.75|-0.166666666666604>|<point|7.0|-0.041666666666604>|<point|7.25|0.083333333333396>|<point|7.5|-0.041666666666604>|<point|7.75|-0.166666666666604>|<point|8.0|-0.041666666666604>|<point|8.25|0.083333333333396>|<point|8.5|-0.041666666666604>|<point|8.75|-0.166666666666604>|<point|9.0|-0.041666666666604>|<point|9.25|0.083333333333396>|<point|9.5|-0.041666666666604>|<point|9.75|-0.166666666666604>|<point|10.0|-0.041666666666604>>>|<point|1.0|0.0>|<with|color|red|line-width|2ln|magnify|0.520833333333333|<spline|<point|-0.99796672308442|1.04074345324984>|<point|-1.26539724515906|1.12202023876026>|<point|-1.36083412999552|1.38473072772619>|<point|-1.45627101483197|1.64744121669212>|<point|-1.72370153690653|1.72871800220247>|<point|-1.99113205898117|1.80999478771289>|<point|-2.08656894381762|2.07270527667881>|<point|-2.18200582865407|2.33541576564474>|<point|-2.44943635072868|2.41669255115513>|<point|-2.71686687280329|2.49796933666552>|<point|-2.81230375763974|2.76067982563145>|<point|-2.90774064247618|3.02339031459737>|<point|-3.1751711645508|3.10466710010777>|<point|-3.4426016866254|3.18594388561815>|<point|-3.53803857146185|3.44865437458408>|<point|-3.6334754562983|3.71136486355001>|<point|-3.90090597837291|3.79264164906039>|<point|-4.16833650044752|3.87391843457079>|<point|-4.26377338528397|4.13662892353671>|<point|-4.35921027012042|4.39933941250264>|<point|-4.62664079219503|4.48061619801303>|<point|-4.89407131426963|4.56189298352342>|<point|-4.98950819910608|4.82460347248934>|<point|-5.08494508394253|5.08731396145527>|<point|-5.35237560601714|5.16859074696566>|<point|-5.61980612809175|5.24986753247606>|<point|-5.7152430129282|5.51257802144198>|<point|-5.81067989776465|5.7752885104079>|<point|-6.07811041983926|5.8565652959183>|<point|-6.34554094191386|5.93784208142869>|<point|-6.44097782675031|6.20055257039461>|<point|-6.53641471158677|6.46326305936054>|<point|-6.80384523366135|6.54453984487091>|<point|-7.07127575573596|6.6258166303813>|<point|-7.16671264057241|6.88852711934722>|<point|-7.26214952540886|7.15123760831315>|<point|-7.52958004748347|7.23251439382354>>>|<point|-1|1>|<with|color|dark
      grey|arrow-length|10ln|arrow-height|6ln|arrow-begin|\<less\>|arrow-end|\<gtr\>|magnify|0.694444444444444|<spline|<point|0|0>|<point|-2.0|-2.23606797749979>>>|<with|magnify|0.694444444444444|<text-at|<math|R>|<point|-1.0|-1.5>>>>>
    </shown>|<\hidden>
      <\eqnarray*>
        <tformat|<table|<row|<cell|g<rsub|;32,1>>|<cell|=>|<cell|1.6836-0.29080*z+0.0013079*z<rsup|2>+\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|6em><greyed|+0.022645*z<rsup|30>-0.0029284*z<rsup|31>>>>|<row|<cell|g<rsub|;32,2>>|<cell|=>|<cell|1.0000-2.4006*z-0.88670*z<rsup|2>-\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|6em><greyed|+0.0061880*z<rsup|30>-9.9191\<cdot\>10<rsup|\<um\>4>**z<rsup|31>>>>|<row|<cell|g<rsub|;64,1>>|<cell|=>|<cell|1.7104-0.36445*z+0.23778*z<rsup|2>-\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|6em><greyed|+1.6968\<cdot\>10<rsup|-4>*z<rsup|62>-1.0104\<cdot\>10<rsup|\<um\>5>*z<rsup|63>>>>|<row|<cell|g<rsub|;64,2>>|<cell|=>|<cell|1.0000-2.3257*z-1.2027*z<rsup|2>-\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|6em><greyed|+5.2359\<cdot\>10<rsup|-5>*z<rsup|62>-3.4225\<cdot\>10<rsup|\<um\>6>*z<rsup|63>>>>|<row|<cell|g<rsub|;128,1>>|<cell|=>|<cell|1.7105-0.36215*z+0.23696*z<rsup|2>-0.052535*z<rsup|3>+0.033518*z<rsup|4>-\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|6em><greyed|+4.6860\<cdot\>10<rsup|-9>*z<rsup|126>-1.3437\<cdot\>10<rsup|\<um\>10>*z<rsup|127>>>>|<row|<cell|g<rsub|;128,2>>|<cell|=>|<cell|1.0000-2.3235*z-1.2138*z<rsup|2>-0.0067226*z<rsup|3>-0.080434*z<rsup|4>+\<cdots\>>>|<row|<cell|>|<cell|>|<cell|<space|6em><greyed|+1.5192\<cdot\>10<rsup|-9>*z<rsup|126>-4.5516\<cdot\>10<rsup|\<um\>11>*z<rsup|127>>>>>>
      </eqnarray*>

      <strong|Slow convergence:> <math|\<\|\|\>\<varphi\><rsub|;32>\<\|\|\>=4.3276>,
      <math|\<\|\|\>\<varphi\><rsub|;64>\<\|\|\>=4.3845>,
      <math|\<\|\|\>\<varphi\><rsub|;128>\<\|\|\>=4.3863>.
    </hidden>>
  </hidden>|<\hidden>
    <tit|<greyed|Counter->Example III>

    <\granite>
      <\eqnarray*>
        <tformat|<table|<row|<cell|f<rsub|1>>|<cell|=>|<cell|\<psi\><rsub|i,\<lambda\>>>>|<row|<cell|\<psi\><rsub|1,\<lambda\>>>|<cell|=>|<cell|log(1-\<lambda\>*z)>>|<row|<cell|\<psi\><rsub|2,\<lambda\>>>|<cell|=>|<cell|<sqrt|1-\<lambda\>*z>>>|<row|<cell|\<psi\><rsub|3,\<lambda\>>>|<cell|=>|<cell|\<mathe\><rsup|<frac|\<lambda\>*z|1-\<lambda\>*z>>>>|<row|<cell|\<psi\><rsub|4,\<lambda\>>>|<cell|=>|<cell|random(\<lambda\>*z)>>>>
      </eqnarray*>
    </granite>

    <htab|5mm><ridged-paper|<block|<tformat|<cwith|1|1|2|5|cell-halign|c>|<cwith|2|18|2|5|cell-halign|L.>|<cwith|12|12|2|5|cell-halign|L.>|<cwith|7|7|1|-1|cell-bborder|4ln>|<cwith|1|1|1|-1|cell-bborder|4ln>|<cwith|11|11|1|-1|cell-bborder|4ln>|<cwith|15|15|1|-1|cell-bborder|4ln>|<table|<row|<cell|>|<cell|32>|<cell|64>|<cell|128>|<cell|256>>|<row|<cell|<math|\<psi\><rsub|1,<smash|<sqrt|2>>>>>|<cell|<math|2.5897>>|<cell|<math|4.2958>>|<cell|<math|1.1107\<cdot\>10<rsup|1>>>|<cell|<math|7.5308\<cdot\>10<rsup|1>>>>|<row|<cell|<math|\<psi\><rsub|1,2>>>|<cell|<math|1.2324\<cdot\>10<rsup|1>>>|<cell|<math|7.7306\<cdot\>10<rsup|1>>>|<cell|<math|3.3839\<cdot\>10<rsup|3>>>|<cell|<math|6.4461\<cdot\>10<rsup|6>>>>|<row|<cell|<math|\<psi\><rsub|1,4>>>|<cell|<math|2.7074\<cdot\>10<rsup|3>>>|<cell|<math|3.1503\<cdot\>10<rsup|6>>>|<cell|<math|5.0806\<cdot\>10<rsup|12>>>|<cell|<math|1.3215\<cdot\>10<rsup|25>>>>|<row|<cell|<math|\<psi\><rsub|1,8>>>|<cell|<math|5.7101\<cdot\>10<rsup|6>>>|<cell|<math|1.6078\<cdot\>10<rsup|13>>>|<cell|<math|1.2829\<cdot\>10<rsup|26>>>|<cell|<math|8.6064\<cdot\>10<rsup|51>>>>|<row|<cell|<math|\<psi\><rsub|1,16>>>|<cell|<math|6.0964\<cdot\>10<rsup|10>>>|<cell|<math|1.7814\<cdot\>10<rsup|21>>>|<cell|<math|1.5612\<cdot\>10<rsup|42>>>|<cell|<math|1.2279\<cdot\>10<rsup|84>>>>|<row|<cell|<math|\<psi\><rsub|1,32>>>|<cell|<math|1.1152\<cdot\>10<rsup|15>>>|<cell|<math|9.1674\<cdot\>10<rsup|29>>>|<cell|<math|4.9020\<cdot\>10<rsup|59>>>|<cell|<math|1.6662\<cdot\>10<rsup|119>>>>|<row|<cell|<math|\<psi\><rsub|2,<smash|<sqrt|2>>>>>|<cell|<math|2.2960>>|<cell|<math|3.7208>>|<cell|<math|9.7394>>|<cell|<math|6.5890\<cdot\>10<rsup|1>>>>|<row|<cell|<math|\<psi\><rsub|2,2>>>|<cell|<math|9.3539>>|<cell|<math|6.1551\<cdot\>10<rsup|1>>>|<cell|<math|2.6678\<cdot\>10<rsup|3>>>|<cell|<math|5.0111\<cdot\>10<rsup|6>>>>|<row|<cell|<math|\<psi\><rsub|2,4>>>|<cell|<math|1.7232\<cdot\>10<rsup|3>>>|<cell|<math|2.1500\<cdot\>10<rsup|6>>>|<cell|<math|3.4149\<cdot\>10<rsup|12>>>|<cell|<math|8.7128\<cdot\>10<rsup|24>>>>|<row|<cell|<math|\<psi\><rsub|2,8>>>|<cell|<math|3.5980\<cdot\>10<rsup|6>>>|<cell|<math|1.0031\<cdot\>10<rsup|13>>>|<cell|<math|7.9396\<cdot\>10<rsup|25>>>|<cell|<math|5.2284\<cdot\>10<rsup|51>>>>|<row|<cell|<math|\<psi\><rsub|3,<smash|<sqrt|2>>>>>|<cell|<math|6.2155>>|<cell|<math|1.3295\<cdot\>10<rsup|1>>>|<cell|<math|4.1722\<cdot\>10<rsup|1>>>|<cell|<math|4.2679\<cdot\>10<rsup|2>>>>|<row|<cell|<math|\<psi\><rsub|3,2>>>|<cell|<math|4.0164\<cdot\>10<rsup|1>>>|<cell|<math|3.9310\<cdot\>10<rsup|2>>>|<cell|<math|1.4047\<cdot\>10<rsup|4>>>|<cell|<math|1.1091\<cdot\>10<rsup|7>>>>|<row|<cell|<math|\<psi\><rsub|3,4>>>|<cell|<math|6.9272\<cdot\>10<rsup|3>>>|<cell|<math|6.8304\<cdot\>10<rsup|6>>>|<cell|<math|4.7564\<cdot\>10<rsup|11>>>|<cell|<math|5.1308\<cdot\>10<rsup|20>>>>|<row|<cell|<math|\<psi\><rsub|3,8>>>|<cell|<math|3.6660\<cdot\>10<rsup|6>>>|<cell|<math|9.4896\<cdot\>10<rsup|11>>>|<cell|<math|4.2745\<cdot\>10<rsup|21>>>|<cell|<math|1.1809\<cdot\>10<rsup|39>>>>|<row|<cell|<math|\<psi\><rsub|4,2>>>|<cell|<math|8.0487\<cdot\>10<rsup|4>>>|<cell|<math|3.5565\<cdot\>10<rsup|9>>>|<cell|<math|2.1354\<cdot\>10<rsup|19>>>|<cell|<math|4.8792\<cdot\>10<rsup|38>>>>|<row|<cell|<math|\<psi\><rsub|4,4>>>|<cell|<math|5.0774\<cdot\>10<rsup|9>>>|<cell|<math|1.1548\<cdot\>10<rsup|19>>>|<cell|<math|2.9916\<cdot\>10<rsup|38>>>|<cell|<math|1.2335\<cdot\>10<rsup|77>>>>|<row|<cell|<math|\<psi\><rsub|4,8>>>|<cell|<math|3.2564\<cdot\>10<rsup|14>>>|<cell|<math|4.3151\<cdot\>10<rsup|28>>>|<cell|<math|5.1348\<cdot\>10<rsup|57>>>|<cell|<math|2.9654\<cdot\>10<rsup|115>>>>>>>><htab|5mm>

    <\granite>
      <switch|<\shown>
        <\equation*>
          log \<\|\|\>\<varphi\><rsub|;n>\<\|\|\>\<approx\><frac|n|2>*log
          \<lambda\>.
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          log \<\|\|\>\<varphi\><rsub|;n>\<\|\|\>\<approx\><frac|n|d+1>*log
          \<lambda\>.
        </equation*>
      </hidden>>
    </granite>
  </hidden>|<\hidden>
    <tit|Only poles>

    <\granite>
      <strong|Problem:> given <math|f\<in\>\<bbb-C\>[[z]]>, guess
      <math|P\<in\>\<bbb-C\>[z]> with

      <\equation*>
        P*f\<in\>\<bbb-A\><rsub|1>.
      </equation*>
    </granite>

    <\named-algorithm-old|denom>
      <math|(f,N,D)>

      <name|Input:> the first <math|N\<gtr\>2*D> coefficients of <math|f> and
      a degree bound <math|D>

      <name|Output:> <math|<op|\<approx\>>> minimal monic polynomial <math|P>
      with <math|deg P<space|-0.2spc>\<leqslant\><space|-0.2spc>D>,
      <math|P*f<space|-0.2spc>\<in\><space|-0.2spc>\<bbb-A\><rsub|1>>, or
      <with|font-series|bold|failed>

      <\algorithm-body>
        <item*|Step 1.>[Initialize]

        <\indent>
          <math|d\<assign\>0>
        </indent>

        <item*|Step 2.>[Determine <math|P>]

        <\indent>
          <\pine>
            <\equation*>
              <text|<with|color|black|Solve>><space|1.8spc><label|P-sol><matrix|<tformat|<table|<row|<cell|f<rsub|N-2*d+1>>|<cell|\<cdots\>>|<cell|f<rsub|N-d>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|f<rsub|N-d>>|<cell|\<cdots\>>|<cell|f<rsub|N-1>>>>>>*<matrix|<tformat|<table|<row|<cell|P<rsub|d-1>>>|<row|<cell|\<vdots\>>>|<row|<cell|P<rsub|0>>>>>>+<matrix|<tformat|<table|<row|<cell|f<rsub|N-2*d>>>|<row|<cell|\<vdots\>>>|<row|<cell|f<rsub|N-d-1>>>>>>=0.
            </equation*>
          </pine>

          \;

          Set <math|P\<assign\>z<rsup|d>+P<rsub|d-1>*z<rsup|d-1>+\<cdots\>+P<rsub|0>>
        </indent>

        <item*|Step 3.>[Terminate or loop]

        <\indent>
          If <math|P*f\<in\>\<bbb-A\><rsub|1>> then return <math|P>

          If <math|d=N> then return <with|font-series|bold|failed>

          Set <math|d\<assign\>d+1> and go to step 2
        </indent>
      </algorithm-body>
    </named-algorithm-old>

    <\granite>
      <\theorem>
        Exponential convergence in <math|N>.
      </theorem>
    </granite>
  </hidden>|<\hidden>
    <tit|Only algebraic singularities>

    <\granite>
      <strong|Problem:> given <math|f\<in\>\<bbb-C\>[[z]]>, guess
      <math|P<rsub|d>,\<ldots\>,P<rsub|0>\<in\>\<bbb-C\>[z]> with

      <\equation>
        <label|alg-rel>P<rsub|d>*f<rsup|d>+\<cdots\>+P<rsub|0>\<in\>\<bbb-A\><rsub|1>.
      </equation>

      <strong|Assume:> algorithm for analytic continuation of <math|f>.
    </granite>

    <switch|<\shown>
      <with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.499998gw|244761tmpt>>|gr-geometry|<tuple|geometry|1par|0.485035par|center>|gr-grid|<tuple|cartesian|<point|0|0>|1>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|4|#e0e0ff>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|4|#e0e0ff>>|gr-as-visual-grid|off|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|8|none>>|gr-edit-grid|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-fill-color|default|gr-color|blue|gr-line-width|2ln|arrow-length|10ln|arrow-height|6ln|magnify|1.2|<graphics||<with|magnify|0.833333333333333|<carc|<point|3|0>|<point|0.0|3.0>|<point|-3.0|0.0>>>|<with|color|red|line-width|2ln|magnify|0.520833333333333|<spline|<point|2.0|-0.041666666666604>|<point|2.25|0.083333333333396>|<point|2.5|-0.041666666666604>|<point|2.75|-0.166666666666604>|<point|3.0|-0.041666666666604>|<point|3.25|0.083333333333396>|<point|3.5|-0.041666666666604>|<point|3.75|-0.166666666666604>|<point|4.0|-0.041666666666604>|<point|4.25|0.083333333333396>|<point|4.5|-0.041666666666604>|<point|4.75|-0.166666666666604>|<point|5.0|-0.041666666666604>|<point|5.25|0.083333333333396>|<point|5.5|-0.041666666666604>|<point|5.75|-0.166666666666604>|<point|6.0|-0.041666666666604>|<point|6.25|0.083333333333396>|<point|6.5|-0.041666666666604>|<point|6.75|-0.166666666666604>|<point|7.0|-0.041666666666604>|<point|7.25|0.083333333333396>|<point|7.5|-0.041666666666604>|<point|7.75|-0.166666666666604>|<point|8.0|-0.041666666666604>|<point|8.25|0.083333333333396>|<point|8.5|-0.041666666666604>|<point|8.75|-0.166666666666604>|<point|9.0|-0.041666666666604>|<point|9.25|0.083333333333396>|<point|9.5|-0.041666666666604>|<point|9.75|-0.166666666666604>|<point|10.0|-0.041666666666604>|<point|10.25|0.083333333333396>|<point|10.5|-0.041666666666604>|<point|10.75|-0.166666666666604>|<point|11.0|-0.041666666666604>>>|<point|2|0>|<with|color|red|line-width|2ln|magnify|0.520833333333333|<spline|<point|-0.99796672308442|1.04074345324984>|<point|-1.26539724515906|1.12202023876026>|<point|-1.36083412999552|1.38473072772619>|<point|-1.45627101483197|1.64744121669212>|<point|-1.72370153690653|1.72871800220247>|<point|-1.99113205898117|1.80999478771289>|<point|-2.08656894381762|2.07270527667881>|<point|-2.18200582865407|2.33541576564474>|<point|-2.44943635072868|2.41669255115513>|<point|-2.71686687280329|2.49796933666552>|<point|-2.81230375763974|2.76067982563145>|<point|-2.90774064247618|3.02339031459737>|<point|-3.1751711645508|3.10466710010777>|<point|-3.4426016866254|3.18594388561815>|<point|-3.53803857146185|3.44865437458408>|<point|-3.6334754562983|3.71136486355001>|<point|-3.90090597837291|3.79264164906039>|<point|-4.16833650044752|3.87391843457079>|<point|-4.26377338528397|4.13662892353671>|<point|-4.35921027012042|4.39933941250264>|<point|-4.62664079219503|4.48061619801303>|<point|-4.89407131426963|4.56189298352342>|<point|-4.98950819910608|4.82460347248934>|<point|-5.08494508394253|5.08731396145527>|<point|-5.35237560601714|5.16859074696566>|<point|-5.61980612809175|5.24986753247606>|<point|-5.7152430129282|5.51257802144198>|<point|-5.81067989776465|5.7752885104079>|<point|-6.07811041983926|5.8565652959183>|<point|-6.34554094191386|5.93784208142869>|<point|-6.44097782675031|6.20055257039461>|<point|-6.53641471158677|6.46326305936054>|<point|-6.80384523366135|6.54453984487091>|<point|-7.07127575573596|6.6258166303813>|<point|-7.16671264057241|6.88852711934722>|<point|-7.26214952540886|7.15123760831315>|<point|-7.52958004748347|7.23251439382354>>>|<point|-1|1>|<with|color|dark
      grey|arrow-length|10ln|arrow-height|6ln|arrow-begin|\<less\>|arrow-end|\<gtr\>|magnify|0.694444444444444|<spline|<point|0|0>|<point|-2.0|-2.23606797749979>>>|<with|magnify|0.694444444444444|<text-at|<math|R>|<point|-1.0|-1.5>>>|<with|color|blue|line-width|2ln|magnify|0.694444444444444|<spline|<point|0.0|0.0>|<point|1.5|-0.5>|<point|2.5|0.0>|<point|1.5|0.5>|<point|0.0|0.0>>>|<with|color|blue|line-width|2ln|magnify|0.694444444444444|<spline|<point|-6.45874792845228e-13|-2.79772794721194e-13>|<point|-0.25|1.25>|<point|-1.5|1.5>|<point|-1.25|0.25>|<point|0.0|0.0>>>|<with|color|blue|line-width|2ln|magnify|0.694444444444444|<line|<point|1.75|-0.25>|<point|2.0|-0.522545050684447>|<point|1.75|-0.75>>>|<with|color|blue|line-width|2ln|magnify|0.694444444444444|<line|<point|-1.25|0.5>|<point|-1.25|0.25>|<point|-1.5|0.25>>>|<with|magnify|0.694444444444444|<text-at|<math|C<rsub|1>>|<point|2.0|-1.0>>>|<with|magnify|0.694444444444444|<text-at|<math|C<rsub|2>>|<point|-1.75|-0.25>>>>>
    </shown>|<\hidden>
      <\named-algorithm-old|alg_dep>
        <math|(f,(\<sigma\><rsub|1>,\<ldots\>,\<sigma\><rsub|s>),N,D,B)>

        <name|Input:> analytic function <math|f> above
        <math|<wide|\<cal-D\>|\<bar\>><rsub|1>\<setminus\>{\<sigma\><rsub|1>,\<ldots\>,\<sigma\><rsub|s>}>
        and bounds <math|N>, <math|D>, <math|B>

        <name|Output:> normalized dependency<nbsp>(<reference|alg-rel>) with
        <math|d\<leqslant\>B>, <math|deg P<rsub|d>\<leqslant\>D>, or
        <with|font-series|bold|failed>

        <\algorithm-body>
          <item*|Step 1.>[Initialize]

          <indent|Set <math|<pine|\<Phi\>\<assign\>{f}>>>
        </algorithm-body>

        <\algorithm-body>
          <item*|Step 2.>[Saturate]

          <\indent>
            If <math|C<rsub|i> \<Phi\>\<subseteq\>\<Phi\>> for all <math|i>,
            then go to step 3

            If <math|card(\<Phi\>)\<gtr\>N> then return
            <with|font-series|bold|failed>

            <pine|<math|\<Phi\>\<assign\>C<rsub|1>
            \<Phi\>\<cup\>\<cdots\>\<cup\>C<rsub|s> \<Phi\>>>

            Repeat step 2
          </indent>
        </algorithm-body>

        <\algorithm-body>
          <item*|Step 3.>[Terminate]

          <\indent>
            Denote <math|\<Phi\>\<assign\>{\<varphi\><rsub|1>,\<ldots\>,\<varphi\><rsub|k>}>

            Compute <pine|<math|Q\<assign\>(F-\<varphi\><rsub|1>)*\<cdots\>*(F-\<varphi\><rsub|k>)=Q<rsub|k>*F<rsup|k>+\<cdots\>+Q<rsub|0>>>

            For each <math|i\<in\>{0,\<ldots\>,k}>, compute
            <pine|<math|D<rsub|i>\<assign\><with|math-font-family|mt|denom>(Q<rsub|i>,r,D)>>

            If <math|D<rsub|i>> = <with|font-series|bold|failed> for some
            <math|i>, then return <with|font-series|bold|failed>

            Return <pine|<math|lcm(D<rsub|0>,\<ldots\>,D<rsub|k>)*Q>>
          </indent>
        </algorithm-body>
      </named-algorithm-old>
    </hidden>>
  </hidden>|<\hidden>
    <tit|Only Fuchsian singularities>

    <\granite>
      <strong|Problem:> given <math|f\<in\>\<bbb-C\>[[z]]>, guess
      <math|L<rsub|r>,\<ldots\>,L<rsub|0>\<in\>\<bbb-C\>[z]> with

      <\equation>
        <label|fuch-rel>L<rsub|r>*f<rsup|(r)>+\<cdots\>+L<rsub|0>\<in\>\<bbb-A\><rsub|1>.
      </equation>

      <strong|Assume:> algorithm for analytic continuation of <math|f>.
    </granite>

    <\named-algorithm-old|fuch_dep>
      <math|(f,(\<sigma\><rsub|1>,\<ldots\>,\<sigma\><rsub|s>),N,D,B)>

      <name|Input:> analytic function <math|f> above
      <math|<wide|\<cal-D\>|\<bar\>><rsub|1>\<setminus\>{\<sigma\><rsub|1>,\<ldots\>,\<sigma\><rsub|s>}>
      and bounds <math|N>, <math|D>, <math|B>

      <name|Output:> normalized dependency<nbsp>(<reference|fuch-rel>) with
      <math|r\<leqslant\>B>, <math|deg L<rsub|r>\<leqslant\>D>, or
      <with|font-series|bold|failed>

      <\algorithm-body>
        <item*|Step 1.>[Initialize]

        <indent|Set <pine|<math|\<Phi\>\<assign\>{f}>>>
      </algorithm-body>

      <\algorithm-body>
        <item*|Step 2.>[Saturate]

        <\indent>
          If <math|Vect(C<rsub|i> \<Phi\>)\<subseteq\>Vect(\<Phi\>)> for all
          <math|i>, then go to step 3

          If <math|card(\<Phi\>)\<gtr\>N> then return
          <with|font-series|bold|failed>

          <pine|<math|\<Phi\>\<assign\>\<Phi\>\<cup\>{C<rsub|i> \<varphi\>}>>
          for <math|i> and <math|\<varphi\>\<in\>\<Phi\>> with
          <pine|<math|C<rsub|i> \<varphi\>\<nin\>Vect(\<Phi\>)>>

          Repeat step 2
        </indent>
      </algorithm-body>

      <\algorithm-body>
        <item*|Step 3.>[Terminate]

        <\indent>
          Denote <math|\<Phi\>\<assign\>{\<varphi\><rsub|1>,\<ldots\>,\<varphi\><rsub|k>}>

          Compute <pine|<math|K\<assign\>lcm(\<partial\>-\<varphi\><rsub|1><rprime|\<dag\>>,\<ldots\>,\<partial\>-\<varphi\><rsub|k><rprime|\<dag\>>)=K<rsub|k>*\<partial\><rsup|k>+\<cdots\>+K<rsub|0>>>

          <indent|in the skew polynomial ring
          <math|\<bbb-C\>(<space|-0.2spc>(z)<space|-0.2spc>)[\<partial\>]>,
          where <math|\<varphi\><rprime|\<dag\>>> denotes
          <math|\<varphi\><rprime|'>/\<varphi\>>>

          For each <math|i\<in\>{0,\<ldots\>,k}>, compute
          <math|D<rsub|i>\<assign\><with|math-font-family|mt|denom>(K<rsub|i>,r,D)>

          If <math|D<rsub|i>> = <with|font-series|bold|failed> for some
          <math|i>, then return <with|font-series|bold|failed>

          Return <pine|<math|lcm(D<rsub|0>,\<ldots\>,D<rsub|k>)*K>>
        </indent>
      </algorithm-body>
    </named-algorithm-old>

    <\granite>
      <\remark*>
        Only works for Fuchsian singularities, because of

        <\equation*>
          f=\<mathe\><rsup|<frac|1|z-\<sigma\>>>+\<mathe\><rsup|<frac|\<um\>1|z-\<sigma\>>>.
        </equation*>
      </remark*>
    </granite>
  </hidden>|<\hidden>
    <tit|Guessing asymptotic behaviour>

    <\small>
      <\session|mathemagix|default>
        <\folded>
          <strong|Guessing Stirling's formula>
        <|folded>
          <\input|<mmx-prompt|1>>
            use "symbolix"; use "multimix"; use "jorix"
          </input>

          <\input|<mmx-prompt|1>>
            include "jorix/extrapolate_extra.mmx"
          </input>

          <\input|<mmx-prompt|3>>
            bit_precision := 256; significant_digits := 5;
          </input>

          <\input|<mmx-prompt|4>>
            v == [ 1.0 * n! \| n in 0..1000 ];
          </input>

          <\input|<mmx-prompt|5>>
            guess_asymptotics (v, 9)
          </input>

          <\input|<mmx-prompt|6>>
            \;
          </input>
        </folded>

        <\folded>
          <strong|Number of alcohols>
        <|folded>
          <\input|<mmx-prompt|5>>
            use "symbolix"; use "multimix"; use "jorix"
          </input>

          <\input|<mmx-prompt|2>>
            include "jorix/extrapolate_extra.mmx"
          </input>

          <\input|<mmx-prompt|3>>
            bit_precision := 256; significant_digits := 15;
          </input>

          <\input|<mmx-prompt|4>>
            s == fixed_point_series (f :-\<gtr\>

            \ \ \ \ \ \ \ ((f*f*f + 2*dilate(f,3)) / 3) \<less\>\<less\> 1,
            1)
          </input>

          <\input|<mmx-prompt|5>>
            s[1000]
          </input>

          <\input|<mmx-prompt|6>>
            w == [ 1.0 * s[n] \| n in 0..1000 ];
          </input>

          <\input|<mmx-prompt|7>>
            guess_asymptotics (w, 9)
          </input>

          <\input|<mmx-prompt|8>>
            exp (-1.19000938463478)
          </input>

          <\input|<mmx-prompt|9>>
            \;
          </input>
        </folded>
      </session>
    </small>
  </hidden>|<\hidden>
    <tit|Asymptotic extrapolation by repeated stripping>

    <unroll|<\shown>
      <strong|Given:> <math|f<rsub|0>,\<ldots\>,f<rsub|N>>
    </shown>|<\hidden*>
      \;

      <strong|Assume:> <math|<with|math-display|true|f<rsub|n>=a<rsub|0>+<frac|a<rsub|1>|n>+<frac|a<rsub|2>|n<rsup|2>>+\<cdots\>>>
    </hidden*>|<\hidden*>
      \;

      <switch|<\shown>
        <strong|Phase 0>

        <\eqnarray*>
          <tformat|<table|<row|<cell|f<rsub|n>>|<cell|=>|<cell|a<rsub|0>+<frac|a<rsub|1>|n>+<frac|a<rsub|2>|n<rsup|2>>+\<cdots\>>>>>
        </eqnarray*>
      </shown>|<\hidden>
        <strong|Phase 1>

        <\eqnarray*>
          <tformat|<cwith|1|-1|1|-1|cell-bsep|1spc>|<table|<row|<cell|f<rsub|n>>|<cell|=>|<cell|a<rsub|0>+<frac|a<rsub|1>|n>+<frac|a<rsub|2>|n<rsup|2>>+\<cdots\>>>|<row|<cell|(\<Delta\>
          f)<rsub|n>=f<rsub|n+1>-f<rsub|n>>|<cell|=>|<cell|<frac|-a<rsub|1>|n<rsup|2>>+<frac|a<rsub|1>-2*a<rsub|2>|n<rsup|3>>+<frac|3*a<rsub|2>-a<rsub|1>|n<rsup|4>>+\<cdots\>>>>>
        </eqnarray*>
      </hidden>|<\hidden>
        <strong|Phase 2>

        <\eqnarray*>
          <tformat|<cwith|1|-1|1|-1|cell-bsep|1spc>|<table|<row|<cell|f<rsub|n>>|<cell|=>|<cell|a<rsub|0>+<frac|a<rsub|1>|n>+<frac|a<rsub|2>|n<rsup|2>>+\<cdots\>>>|<row|<cell|(\<Delta\>
          f)<rsub|n>>|<cell|=>|<cell|<frac|-a<rsub|1>|n<rsup|2>>+<frac|a<rsub|1>-2*a<rsub|2>|n<rsup|3>>+<frac|3*a<rsub|2>-a<rsub|1>|n<rsup|4>>+\<cdots\>>>|<row|<cell|(\<Delta\>(n<rsup|2>*\<Delta\>
          f))<rsub|n>>|<cell|=>|<cell|<frac|2*a<rsub|2>-a<rsub|1>|n<rsup|2>>+<frac|3*a<rsub|1>-8*a<rsub|2>|n<rsup|3>>+<frac|23*a<rsub|2>-7*a<rsub|1>|n<rsup|4>>+\<cdots\>>>>>
        </eqnarray*>
      </hidden>|<\hidden>
        <strong|Phase 2-bis>

        <\eqnarray*>
          <tformat|<cwith|1|-1|1|-1|cell-bsep|1spc>|<table|<row|<cell|f<rsub|n>>|<cell|=>|<cell|a<rsub|0>+<frac|a<rsub|1>|n>+<frac|a<rsub|2>|n<rsup|2>>+\<cdots\>>>|<row|<cell|(\<Delta\>
          f)<rsub|n>>|<cell|=>|<cell|<frac|-a<rsub|1>|n<rsup|2>>+<frac|a<rsub|1>-2*a<rsub|2>|n<rsup|3>>+<frac|3*a<rsub|2>-a<rsub|1>|n<rsup|4>>+\<cdots\>>>|<row|<cell|(\<Delta\>(n<rsup|2>*\<Delta\>
          f))<rsub|n>>|<cell|=>|<cell|<frac|2*a<rsub|2>-a<rsub|1>|n<rsup|2>>+<frac|3*a<rsub|1>-8*a<rsub|2>|n<rsup|3>>+<frac|23*a<rsub|2>-7*a<rsub|1>|n<rsup|4>>+\<cdots\>>>|<row|<cell|n<rsup|2>*\<Delta\>(n<rsup|2>*\<Delta\>
          f)>|<cell|\<approx\>>|<cell|(n<rsup|2>*\<Delta\>(n<rsup|2>*\<Delta\>
          f))<rsub|N-2>=c<rsub|2>>>>>
        </eqnarray*>
      </hidden>|<\hidden>
        <strong|Phase 1-bis>

        <\eqnarray*>
          <tformat|<cwith|1|-1|1|-1|cell-bsep|1spc>|<table|<row|<cell|f<rsub|n>>|<cell|=>|<cell|a<rsub|0>+<frac|a<rsub|1>|n>+<frac|a<rsub|2>|n<rsup|2>>+\<cdots\>>>|<row|<cell|(\<Delta\>
          f)<rsub|n>>|<cell|=>|<cell|<frac|-a<rsub|1>|n<rsup|2>>+<frac|a<rsub|1>-2*a<rsub|2>|n<rsup|3>>+<frac|3*a<rsub|2>-a<rsub|1>|n<rsup|4>>+\<cdots\>>>|<row|<cell|(\<Delta\>(n<rsup|2>*\<Delta\>
          f))<rsub|n>>|<cell|=>|<cell|<frac|2*a<rsub|2>-a<rsub|1>|n<rsup|2>>+<frac|3*a<rsub|1>-8*a<rsub|2>|n<rsup|3>>+<frac|23*a<rsub|2>-7*a<rsub|1>|n<rsup|4>>+\<cdots\>>>|<row|<cell|n<rsup|2>*\<Delta\>(n<rsup|2>*\<Delta\>
          f)>|<cell|\<approx\>>|<cell|c<rsub|2>>>|<row|<cell|n<rsup|2>*\<Delta\>
          f>|<cell|\<approx\>>|<cell|<left|[>n<rsup|2>*\<Delta\>
          f<right|]><rsub|N-1>+\<Delta\><rsub|N-1><rsup|\<um\>1><left|(><frac|c<rsub|2>|n<rsup|2>><right|)>=c<rsub|1>-<frac|c<rsub|2>|n>-<frac|c<rsub|2>|2*n<rsup|2>>-<frac|c<rsub|2>|6*n<rsup|3>>+\<cdots\>>>>>
        </eqnarray*>
      </hidden>|<\hidden>
        <strong|Phase 0-bis>

        <\eqnarray*>
          <tformat|<cwith|1|-1|1|-1|cell-bsep|1spc>|<table|<row|<cell|f<rsub|n>>|<cell|=>|<cell|a<rsub|0>+<frac|a<rsub|1>|n>+<frac|a<rsub|2>|n<rsup|2>>+\<cdots\>>>|<row|<cell|(\<Delta\>
          f)<rsub|n>>|<cell|=>|<cell|<frac|-a<rsub|1>|n<rsup|2>>+<frac|a<rsub|1>-2*a<rsub|2>|n<rsup|3>>+<frac|3*a<rsub|2>-a<rsub|1>|n<rsup|4>>+\<cdots\>>>|<row|<cell|(\<Delta\>(n<rsup|2>*\<Delta\>
          f))<rsub|n>>|<cell|=>|<cell|<frac|2*a<rsub|2>-a<rsub|1>|n<rsup|2>>+<frac|3*a<rsub|1>-8*a<rsub|2>|n<rsup|3>>+<frac|23*a<rsub|2>-7*a<rsub|1>|n<rsup|4>>+\<cdots\>>>|<row|<cell|n<rsup|2>*\<Delta\>(n<rsup|2>*\<Delta\>
          f)>|<cell|\<approx\>>|<cell|c<rsub|2>>>|<row|<cell|n<rsup|2>*\<Delta\>
          f>|<cell|\<approx\>>|<cell|c<rsub|1>-<frac|c<rsub|2>|n>-<frac|c<rsub|2>|2*n<rsup|2>>-<frac|c<rsub|2>|6*n<rsup|3>>+\<cdots\>>>|<row|<cell|f>|<cell|\<approx\>>|<cell|f<rsub|N>+\<Delta\><rsub|N><rsup|\<um\>1><left|(><frac|c<rsub|1>|n<rsup|2>>-<frac|c<rsub|2>|n<rsup|3>>-\<cdots\><right|)>=c<rsub|0>-<frac|c<rsub|1>|n>+<frac|c<rsub|2>-c<rsub|1>|2*n<rsup|2>>+<frac|4*c<rsub|2>-c<rsub|1>|6*n<rsup|3>>+\<cdots\>>>>>
        </eqnarray*>
      </hidden>>
    </hidden*>|<\hidden*>
      <strong|See also:> E-algorithm
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Constant tactic>

    <unroll|<\shown>
      <\compact>
        <strong|Assumption:>

        <\equation*>
          f<rsub|n>=c+R<rsub|n>,<space|2em>R<rsub|n>\<prec\>1
        </equation*>
      </compact>
    </shown>|<\hidden*>
      \;

      <\compact>
        <strong|Criterion:>

        <\equation*>
          \<varepsilon\><rsub|f,f<rsub|N>>\<less\>\<delta\>
        </equation*>

        <\equation*>
          \<varepsilon\><rsub|f,\<varphi\>>=max<rsub|k\<in\>{L,\<ldots\>,N}><frac|\|f<rsub|n>-\<varphi\><rsub|n>\||\|f<rsub|n>\|+\|\<varphi\><rsub|n>\|>
        </equation*>
      </compact>
    </hidden*>|<\hidden*>
      \;

      <\compact>
        <strong|Transformation:>

        <\equation*>
          f\<longmapsto\>g=\<Delta\> f
        </equation*>
      </compact>
    </hidden*>|<\hidden*>
      \;

      <strong|Inverse transformation:>

      <\eqnarray*>
        <tformat|<table|<row|<cell|g<rsub|n>>|<cell|\<approx\>>|<cell|<wide|g|~><rsub|n>>>|<row|<cell|f<rsub|n>>|<cell|\<approx\>>|<cell|<wide|f|~><rsub|n>=<left|[|3>f<rsub|N>-<big|sum><rsub|0\<leqslant\>i\<less\>N><wide|g|~><rsub|i><big|.><right|]|3>+<big|sum><rsub|0\<leqslant\>i\<less\>n><wide|g|~><rsub|i><big|.>>>>>
      </eqnarray*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Explicit tactic>

    <\compact>
      <strong|Assumption:>

      <\equation*>
        f<rsub|n>=\<psi\><rsub|n>*(c+R<rsub|n>),<space|2em>R<rsub|n>\<prec\>1
      </equation*>
    </compact>

    \;

    <\compact>
      <strong|Criterion:>

      <\equation*>
        \<varepsilon\><rsub|f,\<psi\>*f<rsub|N>/\<psi\><rsub|N>>\<less\>\<delta\><rsub|\<psi\>>
      </equation*>

      <\equation*>
        \<varepsilon\><rsub|f,\<varphi\>>=max<rsub|k\<in\>{L,\<ldots\>,N}><frac|\|f<rsub|n>-\<varphi\><rsub|n>\||\|f<rsub|n>\|+\|\<varphi\><rsub|n>\|>
      </equation*>
    </compact>

    \;

    <\compact>
      <strong|Transformation:>

      <\equation*>
        f\<longmapsto\>g=\<Delta\> (f/\<psi\>)
      </equation*>
    </compact>

    \;

    <strong|Inverse transformation:>

    <\eqnarray*>
      <tformat|<table|<row|<cell|g<rsub|n>>|<cell|\<approx\>>|<cell|<wide|g|~><rsub|n>>>|<row|<cell|f<rsub|n>>|<cell|\<approx\>>|<cell|<wide|f|~><rsub|n>=\<psi\><rsub|n>*<left|(|3><left|[|3>f<rsub|N>/\<psi\><rsub|N>-<big|sum><rsub|0\<leqslant\>i\<less\>N><wide|g|~><rsub|i><big|.><right|]|3>+<big|sum><rsub|0\<leqslant\>i\<less\>n><wide|g|~><rsub|i><big|.><right|)|3>>>>>
    </eqnarray*>
  </hidden>|<\hidden>
    <tit|Exponential tactic>

    <\compact>
      <strong|Assumption:>

      <\equation*>
        f<rsub|n>=\<pm\>*\<mathe\><rsup|R<rsub|n>><space|2em>(R<rsub|n>\<succ\>1).
      </equation*>
    </compact>

    \;

    <\compact>
      <strong|Criterion:>

      <\equation*>
        <frac|f<rsub|n>|f<rsub|N>>\<gtr\>0<space|2em>(n=L,\<ldots\>,N),
      </equation*>
    </compact>

    \;

    \;

    <\compact>
      <strong|Transformation:>

      <\equation*>
        f\<longmapsto\>g=log <frac|f|sign f<rsub|N>>
      </equation*>
    </compact>

    \;

    <strong|Inverse transformation:>

    <\eqnarray*>
      <tformat|<table|<row|<cell|g<rsub|n>>|<cell|\<approx\>>|<cell|<wide|g|~><rsub|n>>>|<row|<cell|f<rsub|n>>|<cell|\<approx\>>|<cell|<wide|f|~><rsub|n>=(sign
      f<rsub|N>)*exp <wide|g|~><rsub|N>>>>>
    </eqnarray*>
  </hidden>|<\hidden>
    <tit|Asymptotic extrapolation>

    \;

    <unroll|<\shown>
      <strong|Combining tactics>

      Several tactics with transformations
      <math|\<Phi\><rsub|1>,\<ldots\>,\<Phi\><rsub|p>> and inverses
      <math|<wide|\<Phi\>|~><rsub|1>,\<ldots\>,<wide|\<Phi\>|~><rsub|p>><vspace|0.5fn>

      Compute all valid <math|<wide|f|~><rsub|i<rsub|1>,\<ldots\>,i<rsub|l>>=(<wide|\<Phi\>|~><rsub|i<rsub|1>>\<circ\>\<cdots\>\<circ\><wide|\<Phi\>|~><rsub|i<rsub|l>>\<circ\>\<Phi\><rsub|i<rsub|l>>\<circ\>\<cdots\>\<circ\>\<Phi\><rsub|i<rsub|1>>)(f)>
      until specified <math|l><vspace|0.5fn>

      Return best <math|<wide|f|~><rsub|i<rsub|1>,\<ldots\>,i<rsub|l>>>
    </shown>|<\hidden*>
      \;

      \;

      <strong|Inverse transformations using transseries>

      Inverse transformations <math|\<Delta\><rsup|\<um\>1>> and <math|exp>
      done on ``transseries''<vspace|0.5fn>

      Numerical evaluations done using ``summing to the least term''
    </hidden*>>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|info-flag|none>
    <associate|page-bot|5mm>
    <associate|page-even|5mm>
    <associate|page-odd|5mm>
    <associate|page-right|5mm>
    <associate|page-screen-bot|5mm>
    <associate|page-screen-top|5mm>
    <associate|page-show-hf|true>
    <associate|page-top|5mm>
    <associate|preamble|false>
    <associate|sfactor|4>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|P-sol|<tuple|<with|mode|<quote|math>|\<bullet\>>|?>>
    <associate|alg-rel|<tuple|1|?>>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-10|<tuple|10|?>>
    <associate|auto-11|<tuple|11|?>>
    <associate|auto-12|<tuple|12|?>>
    <associate|auto-13|<tuple|13|?>>
    <associate|auto-2|<tuple|2|?>>
    <associate|auto-3|<tuple|3|?>>
    <associate|auto-4|<tuple|4|?>>
    <associate|auto-5|<tuple|5|?>>
    <associate|auto-6|<tuple|6|?>>
    <associate|auto-7|<tuple|7|?>>
    <associate|auto-8|<tuple|8|?>>
    <associate|auto-9|<tuple|9|?>>
    <associate|cross-rel|<tuple|1|?>>
    <associate|eq-fonc|<tuple|1|15>>
    <associate|fuch-rel|<tuple|2|?>>
    <associate|mv-th|<tuple|<with|mode|<quote|math>|\<bullet\>>|?>>
    <associate|toc-1|<tuple|<uninit>|2>>
    <associate|toc-10|<tuple|2|5>>
    <associate|toc-11|<tuple|2|5>>
    <associate|toc-12|<tuple|2|5>>
    <associate|toc-13|<tuple|2|5>>
    <associate|toc-14|<tuple|2|6>>
    <associate|toc-15|<tuple|2|6>>
    <associate|toc-16|<tuple|2|6>>
    <associate|toc-17|<tuple|2|7>>
    <associate|toc-18|<tuple|2|7>>
    <associate|toc-19|<tuple|2|7>>
    <associate|toc-2|<tuple|<uninit>|3>>
    <associate|toc-20|<tuple|2|7>>
    <associate|toc-21|<tuple|2|8>>
    <associate|toc-22|<tuple|2|8>>
    <associate|toc-23|<tuple|2|8>>
    <associate|toc-24|<tuple|2|8>>
    <associate|toc-25|<tuple|2|8>>
    <associate|toc-26|<tuple|2|8>>
    <associate|toc-27|<tuple|2|9>>
    <associate|toc-28|<tuple|2|9>>
    <associate|toc-29|<tuple|2|9>>
    <associate|toc-3|<tuple|<uninit>|3>>
    <associate|toc-30|<tuple|2|10>>
    <associate|toc-31|<tuple|2|10>>
    <associate|toc-32|<tuple|2|10>>
    <associate|toc-33|<tuple|2|11>>
    <associate|toc-34|<tuple|2|12>>
    <associate|toc-35|<tuple|2|13>>
    <associate|toc-36|<tuple|2|14>>
    <associate|toc-37|<tuple|2|14>>
    <associate|toc-38|<tuple|2|14>>
    <associate|toc-39|<tuple|2|15>>
    <associate|toc-4|<tuple|<uninit>|3>>
    <associate|toc-40|<tuple|2|15>>
    <associate|toc-41|<tuple|2|15>>
    <associate|toc-42|<tuple|2|15>>
    <associate|toc-43|<tuple|2|16>>
    <associate|toc-44|<tuple|2|16>>
    <associate|toc-45|<tuple|2|16>>
    <associate|toc-46|<tuple|2|17>>
    <associate|toc-47|<tuple|2|17>>
    <associate|toc-48|<tuple|2|17>>
    <associate|toc-49|<tuple|2|17>>
    <associate|toc-5|<tuple|<uninit>|3>>
    <associate|toc-50|<tuple|2|?>>
    <associate|toc-6|<tuple|<uninit>|4>>
    <associate|toc-7|<tuple|<uninit>|4>>
    <associate|toc-8|<tuple|2|4>>
    <associate|toc-9|<tuple|2|4>>
  </collection>
</references>